com.sun.jna.platform.win32

## Class WinDef.ULONGByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.ULONGByReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinDef

    public static class WinDef.ULONGByReference
    extends ByReference

The Class ULONGByReference.

### Constructor Summary

Constructors
Constructor and Description
`ULONGByReference()` Instantiates a new ULONG by reference.
`ULONGByReference(WinDef.ULONG value)` Instantiates a new ULONG by reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`WinDef.ULONG` `getValue()` Gets the value.
`void` `setValue(WinDef.ULONG value)` Sets the value.

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ULONGByReference

    public ULONGByReference()

Instantiates a new ULONG by reference.

#### ULONGByReference

    public ULONGByReference(WinDef.ULONG value)

Instantiates a new ULONG by reference.

Parameters:
  `value` - the value

### Method Detail

#### setValue

    public void setValue(WinDef.ULONG value)

Sets the value.

Parameters:
  `value` - the new value

#### getValue

    public WinDef.ULONG getValue()

Gets the value.

Returns:
  the value

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.